* {
	box-sizing: border-box;
}
body {
	font-family: 'Baloo Tamma 2', Georgia;
	background: rgb(252, 250, 250);
}
.titulo{
	background-image: linear-gradient(to right, #b3c953  8%,#60e271 120%);
	height: 90px;
	margin-bottom: 8%;
	padding-top: 10px;
}
h1{
	color: #2a473e;
	font-weight: bold;
	margin-left: 39%;
	display: inline-block;
}
h2{
	text-align: right;
	margin-top: 2px;
	display: inline-block;
	margin-left: 70%;
	padding-top: 15px;
	font-family: 'Fredericka the Great', cursive;
	letter-spacing: 1px;
	color: rgb(168, 0, 0);
	font-size: 1.3em;
}
img{
	width: 6%;
	float: left;
	margin-left: 10px;
}
main {
	max-width: 800px;
	width: 90%;
	margin: auto;
	padding: 40px;
	background: #95d995;
	border: none;
}
.formulario {
	display: grid;
	grid-template-columns: 1fr 1fr;
	gap: 20px;
}
.formulario__label {
	display: block;
	font-weight: 700;
	padding: 10px;
	cursor: pointer;
}
.formulario__grupo-input {
	position: relative;
}
.formulario__input {
	width: 100%;
	background: #d0ecc5;
	border: 3px solid transparent;
	border-radius: 3px;
	height: 45px;
	line-height: 45px;
	padding: 0 40px 0 10px;
	transition: .3s ease all;
	margin-top: 20px;
}
.formulario__input:focus {
	border: 3px solid  #7dd87d;
	outline: none;
	box-shadow: 3px 0px 30px rgba(163,163,163, 0.4);
}
.formulario__input-error {
	font-size: 12px;
	margin-bottom: 0;
	display: none;
}
.formulario__input-error-activo {
	display: block;
}
.formulario__validacion-estado {
	position: absolute;
	right: 10px;
	bottom: 15px;
	z-index: 100;
	font-size: 16px;
	opacity: 0;
}
a{
	color: #bb2929;
}
.formulario__mensaje,
.formulario__grupo-btn-enviar {
	grid-column: span 2;
}
.formulario__mensaje {
	height: 45px;
	line-height: 45px;
	background: #F66060;
	padding: 0 15px;
	border-radius: 3px;
	display: none;
}
.formulario__mensaje-activo {
	display: block;
}
.formulario__mensaje p {
	margin: 0;
}
.formulario__grupo-btn-enviar {
	display: inline-block;
}
.formulario__btn {
	height: 45px;
	width: 25%;
	background: #00c200;
	color: #fff;
	font-weight: bold;
	border: none;
	border-radius: 3px;
	cursor: pointer;
	transition: .1s ease all;
	margin-left: 30px;
	margin-right: 20px;
	margin-top: 0px;
}
.formulario__btn:hover {
	box-shadow: 3px 0px 30px rgba(163,163,163, 1);
}
.formulario__mensaje-exito {
	font-size: 14px;
	color: #119200;
	display: none;
}
.formulario__mensaje-exito-activo {
	display: block;
}
/* ----- -----  ESTILO DE LAS VALIDACIONES ----- ----- */
.formulario__grupo-correcto .formulario__validacion-estado {
	color: #118d1b;
	opacity: 1;
}
.formulario__grupo-incorrecto .formulario__label {
	color: #bb2929;
}
.formulario__grupo-incorrecto .formulario__validacion-estado {
	color: #bb2929;
	opacity: 1;
}
.formulario__grupo-incorrecto .formulario__input {
	border: 3px solid #bb2929;
}
/* ----- -----  MEDIA- GRID----- ----- */
@media screen and (max-width: 800px) {
	.formulario {
		grid-template-columns: 1fr;
	}
	.formulario__mensaje,
	.formulario__grupo-btn-enviar {
		grid-column: 1;
	}
	.formulario__btn {
		width: 100%;
	}
}